> ## Documentation Index
> Fetch the complete documentation index at: https://arc.sdjz.wiki/llms.txt
> Use this file to discover all available pages before exploring further.

# 仅编译校验配置，不应用



## OpenAPI

````yaml openapi/arc-gateway-control-plane.zh.openapi.yaml post /v1/config/validate
openapi: 3.1.0
info:
  title: Arc 网关控制面 API
  version: 1.0.0
  license:
    name: Apache-2.0
    identifier: Apache-2.0
  description: >
    Arc Gateway 控制面 HTTP 端点的 OpenAPI 定义，接口实现位于
    `crates/arc-gateway/src/control.rs`。


    鉴权行为：

    - 如果设置了 `control_plane.auth_token`，请求需要携带 `Authorization: Bearer <token>`。

    - 如果未设置 `control_plane.auth_token`，仅允许本机回环地址访问。
servers:
  - url: http://127.0.0.1:22100
security:
  - bearerAuth: []
  - {}
tags:
  - name: status
    description: 节点状态与代际相关端点。
  - name: config
    description: 配置获取、长轮询、校验与本地应用端点。
  - name: cluster
    description: 集群级配置推送与熔断快照端点。
  - name: gossip
    description: Gossip 成员、统计与生命周期端点。
  - name: xdp
    description: XDP 状态与映射管理端点。
paths:
  /v1/config/validate:
    post:
      tags:
        - config
      summary: 仅编译校验配置，不应用
      operationId: validateConfig
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArcConfigDocument'
      responses:
        '200':
          description: 配置有效
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConfigValidateResponse'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '409':
          description: 配置有效，但部分字段变更需要重启
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RestartRequiredResponse'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  schemas:
    ArcConfigDocument:
      type: object
      description: 原始 Arc 配置 JSON 文档。
      additionalProperties: true
    ConfigValidateResponse:
      type: object
      required:
        - ok
        - generation
      properties:
        ok:
          type: boolean
          const: true
        generation:
          type: integer
          format: int64
    RestartRequiredResponse:
      type: object
      required:
        - ok
        - status
        - generation
        - changed_params
        - message
      properties:
        ok:
          type: boolean
          const: false
        status:
          type: string
          const: restart_required
        generation:
          type: integer
          format: int64
        changed_params:
          type: array
          items:
            type: string
        message:
          type: string
    ErrorResponse:
      type: object
      required:
        - error
      properties:
        error:
          type: string
  responses:
    Unauthorized:
      description: 未授权
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            error: unauthorized
    InternalError:
      description: 内部错误
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````